ResourcePath = "Homeopatix/HorseStable/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "HorseStable.tga",
};

function CreateLocalizationInfo()
	Strings = {};

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Tierhandlung";
		Strings.PluginTextFam = "Ihre Zoohandlung";
		Strings.PluginSize = "Plugin-Gr\195\182\195\159e definiert am ";
		Strings.PluginSizeChanged = "Sie m\195\188ssen sich abmelden und wieder anmelden, um die \195\132nderung zu aktivieren";
		Strings.PluginHelp = " *** Tierhandlung Hilfe ***\n\n/show HorseStable\n/hide verstecke HorseStable\n/clear Alle Verkn\195\188pfungen l\195\182schen/size <tiny, small, big> Legt die Gr\195\182\195\159e des Fensters fest\ntiny = 10 Stellen\nsmall = 35 Stellen\nbig = 50 Stellen\n\nSie k\195\182nnen Ihre Reittiere per Drag & Drop auf die Linien ziehen und mit dem Mausrad l\195\182schen";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		Strings.PluginName = "HorseStable";
		Strings.PluginTextFam = "Votre \195\169curie";
		Strings.PluginSize = "Taille du plugin definie sur ";
		Strings.PluginSizeChanged = "Vous devez vous d\195\169connecter et vous reconnecter pour activer le changement";
		Strings.PluginHelp = " *** Horse Stable Aide ***\n\n/show affiche HorseStable\n/hide cache HorseStable\n/clear Efface tous les raccourcis\n/size <tiny, small, big> definie la taille de la fenetre\ntiny = 10 places\nsmall = 35 places\nbig = 50 places\n\nVous pouvez faire glisser et d\195\169poser vos montures sur les lignes et les effacer avec la mollette de la souris";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		Strings.PluginName = "Pet Shop";
		Strings.PluginTextFam = "Your Pet Shop";
		Strings.PluginSize = "Plugin size defined on ";
		Strings.PluginSizeChanged = "You must log out and log back in to activate the change";
		Strings.PluginHelp = " *** Pet Shop Help ***\n\n/show Display HorseStable\n/hide Hide HorseStable\n/clear delete all shortcuts/size <tiny, small, big> set the size of the window\ntiny = 10 spots\nsmall = 35 spots\nbig = 50 spots\n\nYou can drag and drop mounts on the first line and delte them with thw mouse wheel";
	end
end