 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.HorseStable.Globals"
 import "Homeopatix.HorseStable.MinimizedIcon"
 import "Homeopatix.HorseStable.VindarPatch"
 import "Homeopatix.HorseStable.Commands"
 import "Homeopatix.HorseStable.LoadAndSave"

CreateLocalizationInfo();
LoadSettings();
------------------------------------------------------------------------------------------
-- create the tiny window
------------------------------------------------------------------------------------------
function CreateTinyWindow()
	HorseStableWindow=Turbine.UI.Lotro.GoldWindow(); 
	HorseStableWindow:SetSize(414,110); 
	HorseStableWindow:SetText(Strings.PluginName); 
	HorseStableWindow.Message=Turbine.UI.Label(); 
	HorseStableWindow.Message:SetParent(HorseStableWindow); 
	HorseStableWindow.Message:SetSize(150,10); 
	HorseStableWindow.Message:SetPosition(HorseStableWindow:GetWidth()/2 - 75, 36); 
	HorseStableWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	HorseStableWindow.Message:SetText(Strings.PluginTextFam); 
	HorseStableWindow:SetWantsKeyEvents(true);

	HorseStableWindow:SetPosition(settings.positionX, settings.positionY);

--------------------------------------------------------------------------------------------
--Pet icons
--------------------------------------------------------------------------------------------
	centerWindow = Turbine.UI.Extensions.SimpleWindow();
	centerWindow:SetSize( 36 , 36 );
	centerWindow:SetParent( HorseStableWindow );
	centerWindow:SetPosition( 18 ,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow:SetVisible( true );
	centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow2:SetSize( 36 , 36 );
	centerWindow2:SetParent( HorseStableWindow );
	centerWindow2:SetPosition( 56 ,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow2:SetVisible( true );
	centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow3:SetSize( 36 , 36 );
	centerWindow3:SetParent( HorseStableWindow );
	centerWindow3:SetPosition( 94,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow3:SetVisible( true );
	centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow4:SetSize( 36 , 36 );
	centerWindow4:SetParent( HorseStableWindow );
	centerWindow4:SetPosition( 132,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow4:SetVisible( true );
	centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow5:SetSize( 36 , 36 );
	centerWindow5:SetParent( HorseStableWindow );
	centerWindow5:SetPosition( 170,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow5:SetVisible( true );
	centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow6:SetSize( 36 , 36 );
	centerWindow6:SetParent( HorseStableWindow );
	centerWindow6:SetPosition( 208,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow6:SetVisible( true );
	centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow7:SetSize( 36 , 36 );
	centerWindow7:SetParent( HorseStableWindow );
	centerWindow7:SetPosition( 246,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow7:SetVisible( true );
	centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow8:SetSize( 36 , 36 );
	centerWindow8:SetParent( HorseStableWindow );
	centerWindow8:SetPosition( 284 ,HorseStableWindow:GetHeight()/2 - 5);
	centerWindow8:SetVisible( true );
	centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow9:SetSize( 36 , 36 );
	centerWindow9:SetParent( HorseStableWindow );
	centerWindow9:SetPosition( 322 ,HorseStableWindow:GetHeight()/2  - 5);
	centerWindow9:SetVisible( true );
	centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow10 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow10:SetSize( 36 , 36 );
	centerWindow10:SetParent( HorseStableWindow );
	centerWindow10:SetPosition( 360,HorseStableWindow:GetHeight()/2  - 5);
	centerWindow10:SetVisible( true );
	centerWindow10:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 136, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow2);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow3);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow4);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow5);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow6);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow7);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow8);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow9);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow10);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerQS1 = Turbine.UI.Lotro.Quickslot();
	centerQS1:SetParent( centerWindow );
	centerQS1:SetPosition( 0, 0 );
	centerQS1:SetSize( 35, 35 );
	centerQS1:SetUseOnRightClick(false);

	centerQS2 = Turbine.UI.Lotro.Quickslot();
	centerQS2:SetParent( centerWindow2 );
	centerQS2:SetPosition( 0, 0 );
	centerQS2:SetSize( 35, 35 );
	centerQS2:SetUseOnRightClick(false);

	centerQS3 = Turbine.UI.Lotro.Quickslot();
	centerQS3:SetParent( centerWindow3 );
	centerQS3:SetPosition( 0, 0 );
	centerQS3:SetSize( 35, 35 );
	centerQS3:SetUseOnRightClick(false);

	centerQS4 = Turbine.UI.Lotro.Quickslot();
	centerQS4:SetParent( centerWindow4 );
	centerQS4:SetPosition( 0, 0 );
	centerQS4:SetSize( 35, 35 );
	centerQS4:SetUseOnRightClick(false);

	centerQS5 = Turbine.UI.Lotro.Quickslot();
	centerQS5:SetParent( centerWindow5 );
	centerQS5:SetPosition( 0, 0 );
	centerQS5:SetSize( 35, 35 );
	centerQS5:SetUseOnRightClick(false);

	centerQS6 = Turbine.UI.Lotro.Quickslot();
	centerQS6:SetParent( centerWindow6 );
	centerQS6:SetPosition( 0, 0 );
	centerQS6:SetSize( 35, 35 );
	centerQS6:SetUseOnRightClick(false);

	centerQS7 = Turbine.UI.Lotro.Quickslot();
	centerQS7:SetParent( centerWindow7 );
	centerQS7:SetPosition( 0, 0 );
	centerQS7:SetSize( 35, 35 );
	centerQS7:SetUseOnRightClick(false);

	centerQS8 = Turbine.UI.Lotro.Quickslot();
	centerQS8:SetParent( centerWindow8 );
	centerQS8:SetPosition( 0, 0 );
	centerQS8:SetSize( 35, 35 );
	centerQS8:SetUseOnRightClick(false);

	centerQS9 = Turbine.UI.Lotro.Quickslot();
	centerQS9:SetParent( centerWindow9 );
	centerQS9:SetPosition( 0, 0 );
	centerQS9:SetSize( 35, 35 );
	centerQS9:SetUseOnRightClick(false);

	centerQS10 = Turbine.UI.Lotro.Quickslot();
	centerQS10:SetParent( centerWindow10 );
	centerQS10:SetPosition( 0, 0 );
	centerQS10:SetSize( 35, 35 );
	centerQS10:SetUseOnRightClick(false);

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
	if(settings.shortcutData_1 ~= "") then
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_1, settings.shortcutData_1 ) );
	end
	if(settings.shortcutData_2 ~= "") then
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_2, settings.shortcutData_2 ) );
	end
	if(settings.shortcutData_3 ~= "") then
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_3, settings.shortcutData_3 ) );
	end
	if(settings.shortcutData_4 ~= "") then
		centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_4, settings.shortcutData_4 ) );
	end
	if(settings.shortcutData_5 ~= "") then
		centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_5, settings.shortcutData_5 ) );
	end
	if(settings.shortcutData_6 ~= "") then
		centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_6, settings.shortcutData_6 ) );
	end
	if(settings.shortcutData_7 ~= "") then
		centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_7, settings.shortcutData_7 ) );
	end
	if(settings.shortcutData_8 ~= "") then
		centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_8, settings.shortcutData_8 ) );
	end
	if(settings.shortcutData_9 ~= "") then
		centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_9, settings.shortcutData_9 ) );
	end
	if(settings.shortcutData_10 ~= "") then
		centerQS10:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_10, settings.shortcutData_10 ) );
	end

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
	centerQS1.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS1:GetShortcut();
		tmp = tmp:GetData();
	
		--Turbine.Shell.WriteLine(tmp); -- display the ID of the schortcut

		settings.shortcutData_1 = tmp;

		SaveSettings(3);
	end
	centerQS2.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS2:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_2 = tmp;

		SaveSettings(3);
	end
	centerQS3.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS3:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_3 = tmp;

		SaveSettings(3);
	end
	centerQS4.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS4:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_4 = tmp;

		SaveSettings(3);
	end
	centerQS5.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS5:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_5 = tmp;

		SaveSettings(3);
	end
	centerQS6.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS6:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_6 = tmp;

		SaveSettings(3);
	end
	centerQS7.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS7:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_7 = tmp;

		SaveSettings(3);
	end

	centerQS8.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS8:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_8 = tmp;

		SaveSettings(3);
	end

	centerQS9.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS9:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_9 = tmp;

		SaveSettings(3);
	end

	centerQS10.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS10:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_10 = tmp;

		SaveSettings(3);
	end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
		
	centerQS1.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end

	centerQS2.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS3.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS4.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS5.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS6.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS7.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS8.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS9.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
	centerQS10.MouseClick = function(sender, args)
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
	end
------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------

	centerQS1.MouseWheel = function(sender, args)
		settings.shortcutData_1 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS2.MouseWheel = function(sender, args)
		settings.shortcutData_2 = tostring(""); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS3.MouseWheel = function(sender, args)
		settings.shortcutData_3 = tostring(""); 
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS4.MouseWheel = function(sender, args)
		settings.shortcutData_4 = tostring(""); 
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS5.MouseWheel = function(sender, args)
		settings.shortcutData_5 = tostring(""); 
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS6.MouseWheel = function(sender, args)
		settings.shortcutData_6 = tostring(""); 
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS7.MouseWheel = function(sender, args)
		settings.shortcutData_7 = tostring(""); 
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS8.MouseWheel = function(sender, args)
		settings.shortcutData_8 = tostring(""); 
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS9.MouseWheel = function(sender, args)
		settings.shortcutData_9 = tostring(""); 
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
	centerQS10.MouseWheel = function(sender, args)
		settings.shortcutData_10 = tostring(""); 
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
end				