
HorseStableCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function HorseStableCommand:Execute( command, arguments )

	local args, value = arguments:match "(size) (.*)";

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the HorseStable Window");
		HorseStableWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings(4);
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the HorseStable Window");
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings(4);
	elseif ( args == "size" ) then
		if(value == "tiny") then
			settings.pluginSize = "tiny";
			local stringToDisplay = 
			SaveSettings(5);
		end
		if(value == "small") then
			settings.pluginSize = "small";
			SaveSettings(5);
		end
		if(value == "big") then
			settings.pluginSize = "big";
			SaveSettings(5);
		end
		Turbine.Shell.WriteLine("\n<rgb=#FFFF00>" .. Strings.PluginName .. " : " .. Strings.PluginSize .. " " .. "</rgb><rgb=#00FF00>" .. string.upper(settings.pluginSize) .. "</rgb>");
		Turbine.Shell.WriteLine("\n<rgb=#FF0000>!!! </rgb><rgb=#FFFF00>" .. Strings.PluginSizeChanged .. "</rgb><rgb=#FF0000> !!!</rgb>\n");
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings(4);
	elseif ( arguments == "clear" ) then
		--Turbine.Shell.WriteLine("clear the Animalerie Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		settings.shortcutData_5 = tostring(""); 
		settings.shortcutData_6 = tostring(""); 
		settings.shortcutData_7 = tostring("");
		settings.shortcutData_8 = tostring("");
		settings.shortcutData_9 = tostring(""); 
		settings.shortcutData_10 = tostring(""); 
		settings.shortcutData_11 = tostring(""); 
		settings.shortcutData_12 = tostring(""); 
		settings.shortcutData_13 = tostring(""); 
		settings.shortcutData_14 = tostring(""); 
		settings.shortcutData_15 = tostring("");
		settings.shortcutData_16 = tostring(""); 
		settings.shortcutData_17 = tostring(""); 
		settings.shortcutData_18 = tostring(""); 
		settings.shortcutData_19 = tostring(""); 
		settings.shortcutData_20 = tostring(""); 
		settings.shortcutData_21 = tostring(""); 
		settings.shortcutData_22 = tostring("");
		settings.shortcutData_23 = tostring(""); 
		settings.shortcutData_24 = tostring(""); 
		settings.shortcutData_25 = tostring(""); 
		settings.shortcutData_26 = tostring(""); 
		settings.shortcutData_27 = tostring(""); 
		settings.shortcutData_28 = tostring(""); 
		settings.shortcutData_29 = tostring("");
		settings.shortcutData_30 = tostring("");
		settings.shortcutData_31 = tostring("");
		settings.shortcutData_32 = tostring("");
		settings.shortcutData_33 = tostring("");
		settings.shortcutData_34 = tostring("");
		settings.shortcutData_35 = tostring("");
		settings.shortcutData_36 = tostring("");
		settings.shortcutData_37 = tostring("");
		settings.shortcutData_38 = tostring("");
		settings.shortcutData_39 = tostring("");
		settings.shortcutData_40 = tostring("");
		settings.shortcutData_41 = tostring("");
		settings.shortcutData_42 = tostring("");
		settings.shortcutData_43 = tostring("");
		settings.shortcutData_44 = tostring("");
		settings.shortcutData_45 = tostring("");
		settings.shortcutData_46 = tostring("");
		settings.shortcutData_47 = tostring("");
		settings.shortcutData_48 = tostring("");
		settings.shortcutData_49 = tostring("");
		settings.shortcutData_50 = tostring("");
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS11:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS12:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS13:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS14:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS15:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS16:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS17:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS18:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS19:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS20:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS21:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS22:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS23:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS24:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS25:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS26:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS27:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS28:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS29:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS30:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS31:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS32:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS33:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS34:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS35:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS36:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS37:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS38:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS39:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS40:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS41:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS42:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS43:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS44:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS45:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS46:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS47:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS48:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS49:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS50:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings(3);
	end
end

Turbine.Shell.AddCommand( "Ho;HorseStable", HorseStableCommand );